Permalink
Browse files

Syncing rails up with rearview engine

  • Loading branch information...
talbright committed Dec 21, 2013
1 parent 8649933 commit 99818a32162f0b95826a106538bad1b4e901d747
Showing with 187 additions and 39,747 deletions.
  1. +25 −0 .gitignore
  2. +1 −2 Gemfile
  3. +20 −36 Gemfile.lock
  4. +33 −0 config/initializers/rearview.rb
  5. +0 −39,709 log/development.log
  6. 0 sandbox/.gitkeep
  7. +60 −0 sandbox/.rvmrc
  8. +7 −0 sandbox/Gemfile
  9. +18 −0 sandbox/Gemfile.lock
  10. +23 −0 sandbox/verify_sandbox.rb
View
@@ -0,0 +1,25 @@
# See http://help.github.com/ignore-files/ for more about ignoring files.
#
# If you find yourself ignoring temporary files generated by your text editor
# or operating system, you probably want to add a global ignore instead:
# git config --global core.excludesfile ~/.gitignore_global
*.rbc
*.sassc
.sass-cache
capybara-*.html
.rspec
.rvmrc
/.bundle
/vendor/bundle
/log/*
/tmp/*
/db/*.sqlite3
/public/system/*
/coverage/
/spec/tmp/*
**.orig
rerun.txt
pickle-email-*.html
.project
config/initializers/secret_token.rb
sandbox/monitor_script*
View
@@ -27,10 +27,9 @@ gem 'turbolinks'
# Build JSON APIs with ease. Read more: https://github.com/rails/jbuilder
gem 'jbuilder', '~> 1.2'
gem 'rearview', :path => '~/workspaces/rearview-engine'
gem 'rearview', '~> 1.0.0.rc2'
gem 'omniauth'
gem 'omniauth-google-oauth2'
gem 'pry'
gem 'rspec-rails'
platforms :jruby do
View
@@ -1,17 +1,3 @@
PATH
remote: ~/workspaces/rearview-engine
specs:
rearview (0.0.1)
ancestry (~> 2.0.0)
broach (~> 0.3.0)
celluloid (~> 0.14.1)
devise (~> 3.2.2)
httparty (~> 0.12.0)
jbuilder (~> 1.5.2)
protected_attributes (~> 1.0.5)
rails (~> 4.0.2)
state_machine (~> 1.2.0)
GEM
remote: https://rubygems.org/
specs:
@@ -33,13 +19,13 @@ GEM
activesupport (= 4.0.2)
arel (~> 4.0.0)
activerecord-deprecated_finders (1.0.3)
activerecord-jdbc-adapter (1.3.3)
activerecord-jdbc-adapter (1.3.4)
activerecord (>= 2.2)
activerecord-jdbcmysql-adapter (1.3.3)
activerecord-jdbc-adapter (~> 1.3.3)
activerecord-jdbcmysql-adapter (1.3.4)
activerecord-jdbc-adapter (~> 1.3.4)
jdbc-mysql (>= 5.1.22)
activerecord-jdbcsqlite3-adapter (1.3.3)
activerecord-jdbc-adapter (~> 1.3.3)
activerecord-jdbcsqlite3-adapter (1.3.4)
activerecord-jdbc-adapter (~> 1.3.4)
jdbc-sqlite3 (~> 3.7.2)
activesupport (4.0.2)
i18n (~> 0.6, >= 0.6.4)
@@ -59,7 +45,6 @@ GEM
builder (3.1.4)
celluloid (0.14.1)
timers (>= 1.0.0)
coderay (1.1.0)
coffee-rails (4.0.1)
coffee-script (>= 2.2.0)
railties (>= 4.0.0, < 5.0)
@@ -78,7 +63,6 @@ GEM
execjs (2.0.2)
faraday (0.8.8)
multipart-post (~> 1.2.0)
ffi (1.9.3-java)
hashie (2.0.5)
hike (1.2.3)
httparty (0.12.0)
@@ -102,7 +86,6 @@ GEM
mail (2.5.4)
mime-types (~> 1.16)
treetop (~> 1.4.8)
method_source (0.8.2)
mime-types (1.25.1)
minitest (4.7.5)
multi_json (1.8.2)
@@ -128,11 +111,6 @@ GEM
polyglot (0.3.3)
protected_attributes (1.0.5)
activemodel (>= 4.0.1, < 5.0)
pry (0.9.12.4-java)
coderay (~> 1.0)
method_source (~> 0.8)
slop (~> 3.4)
spoon (~> 0.0)
rack (1.5.2)
rack-test (0.6.2)
rack (>= 1.0)
@@ -149,9 +127,19 @@ GEM
activesupport (= 4.0.2)
rake (>= 0.8.7)
thor (>= 0.18.1, < 2.0)
rake (10.1.0)
rake (10.1.1)
rdoc (3.12.2)
json (~> 1.4)
rearview (1.0.0.rc2-java)
ancestry (~> 2.0.0)
broach (~> 0.3.0)
celluloid (~> 0.14.1)
devise (~> 3.2.2)
httparty (~> 0.12.0)
jbuilder (~> 1.5.2)
protected_attributes (~> 1.0.5)
rails (~> 4.0.2)
state_machine (~> 1.2.0)
rspec-core (2.14.7)
rspec-expectations (2.14.4)
diff-lcs (>= 1.1.3, < 2.0)
@@ -163,17 +151,14 @@ GEM
rspec-core (~> 2.14.0)
rspec-expectations (~> 2.14.0)
rspec-mocks (~> 2.14.0)
sass (3.2.12)
sass (3.2.13)
sass-rails (4.0.1)
railties (>= 4.0.0, < 5.0)
sass (>= 3.1.10)
sprockets-rails (~> 2.0.0)
sdoc (0.3.20)
json (>= 1.1.3)
rdoc (~> 3.10)
slop (3.4.7)
spoon (0.0.4)
ffi
sprockets (2.10.1)
hike (~> 1.2)
multi_json (~> 1.0)
@@ -195,10 +180,10 @@ GEM
treetop (1.4.15)
polyglot
polyglot (>= 0.3.1)
turbolinks (2.0.0)
turbolinks (2.1.0)
coffee-rails
tzinfo (0.3.38)
uglifier (2.3.2)
uglifier (2.4.0)
execjs (>= 0.3.0)
json (>= 1.8.0)
warden (1.2.3)
@@ -216,9 +201,8 @@ DEPENDENCIES
jruby-openssl
omniauth
omniauth-google-oauth2
pry
rails (= 4.0.2)
rearview!
rearview (~> 1.0.0.rc2)
rspec-rails
sass-rails (~> 4.0.0)
sdoc
@@ -0,0 +1,33 @@
require 'rearview'
Rearview.configure do |config|
config.logger = Rails.logger
config.sandbox_dir = Rails.root + "sandbox"
config.sandbox_exec = ["rvm-exec","ruby-1.9.3-p448@rearview-sandbox","ruby"]
config.sandbox_timeout = 10
case Rails.env
when "test"
config.preload_jobs = false
when "production"
config.sandbox_exec = ["/bin/env","-i","PATH=/opt/ruby-1.9.3/bin", "bundle", "exec", "ruby"]
config.verify = true
when "development"
config.enable_alerts = false
else
end
if File.basename($0) == "rake"
config.enable_monitor = false
end
# Options passed via environment will override anything else set to this point...
if ENV['REARVIEW_OPTS'].present?
config.with_argv(ENV['REARVIEW_OPTS'].try(:split))
end
end
Rearview.boot!
Oops, something went wrong.

0 comments on commit 99818a3

Please sign in to comment.